import { EmbeddingProvider } from './EmbeddingProvider';
export type EmbeddingProviderName = 'ollama' | 'openai';
export declare class EmbeddingRegistry {
    static selectName(): EmbeddingProviderName;
    static create(name?: EmbeddingProviderName): EmbeddingProvider;
}
